Skip to content

The in-force legal texts of the platform (terms, privacy, DPA and annexes, developer terms)

GET
/v1/legal
curl --request GET \
--url 'https://api.vimine.network/v1/legal?locale=it'

One entry per kind and locale, in force today. ?all=1 adds the archive of previous versions; ?locale=it|en limits the locales.

locale

Only this locale

string
Allowed values: it en zh-Hans zh-Hant fr es de pt-BR
all

1 to include previous versions

string

Documents

Media typeapplication/json
object
documents
required
Array<object>
object
uid
string format: uuid
kind
required

Document kind (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
required
string
Allowed values: it en zh-Hans zh-Hant fr es de pt-BR
version
required

Version label (1.0, 1.1, …)

string
title
required
string
summary

What changed in this version

string
nullable
effective_from
string format: date-time
nullable
retired_at
string format: date-time
nullable
sha256

SHA-256 of the canonical template body

string
nullable
current
required

This is the in-force version of the kind in its locale

boolean
requires_reacceptance
boolean
archive

Previous versions (with ?all=1)

Array<object>
object
uid
string format: uuid
kind
required

Document kind (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
required
string
Allowed values: it en zh-Hans zh-Hant fr es de pt-BR
version
required

Version label (1.0, 1.1, …)

string
title
required
string
summary

What changed in this version

string
nullable
effective_from
string format: date-time
nullable
retired_at
string format: date-time
nullable
sha256

SHA-256 of the canonical template body

string
nullable
current
required

This is the in-force version of the kind in its locale

boolean
requires_reacceptance
boolean
Example
{
"documents": [
{
"locale": "it"
}
],
"archive": [
{
"locale": "it"
}
]
}

Invalid request

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Not found

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Rate limited

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Internal error

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
code
required
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}